version: "3.7"

volumes:
  capsule-data:
    name: "capsule-data"

networks:
  gemini:
    name: gemini

services:
  gemserv:
    image: registry.picasoft.net/pica-gemserv:0.5.0
    container_name: gemserv
    build: gemserv
    volumes:
      - capsule-data:/var/gemini
      - ./certs/key.rsa:/key.rsa:ro
      - ./certs/cert.pem:/cert.pem:ro
      - ./certs/cert-toot.pem:/cert-toot.pem:ro
    environment:
      HOSTNAME: picasoft.net
      MASTOGEM_HOSTNAME: mastogem.picasoft.net
    networks:
      - gemini
    ports:
      - 1965:1965
    restart: unless-stopped

  mastogem:
    image: registry.picasoft.net/pica-mastogem:1.1
    container_name: mastogem
    build: https://git.rdelaage.ovh/rdelaage/mastoGem.git#1.1
    volumes:
      - ./certs/key.rsa:/key.rsa:ro
      - ./certs/cert-toot.pem:/cert.pem:ro
    environment:
      MASTODON_BASE_URL: "https://mamot.fr"
      TITLE: "MastoGem de Picasoft"
      HOME_MESSAGE: "Bienvenue sur le MastoGem de Picasoft, un proxy Mastodon pour Gemini.\\n\\nVous pouvez voir nos toots sur :\\n=> /profile/138624 Profil de Picasoft"
    networks:
      - gemini
    restart: unless-stopped
